#! /usr/bin/python
## -*- coding: utf-8 -*-

##
##  HARK Middleware
##  Copyright (C) 2013-2014 by Honda Research Institute Japan Co., Ltd.
##
##  $Id:$
##

class Link :
    """ HARK link between nodes """
    def __init__(self, pinFrom, pinTo) :
        self.pinFrom = pinFrom
        self.pinTo   = pinTo

    def dump(self, prefix=''):
        print(prefix + '[Link]')
        print(prefix + '  from: node="%s", pin="%s"' % (self.pinFrom.node.name, self.pinFrom.name))
        print(prefix + '  to:   node="%s", pin="%s"' % (self.pinTo.node.name, self.pinTo.name))

# end of file
